From: =?utf-8?q?David_Pr=C3=A9vot?= <taffit@debian.org>
Date: Sun, 19 May 2024 11:27:55 +0200
Subject: Make provider functions static (PHPUnit 11 Fix)

Bug-Debian: https://bugs.debian.org/1070535
---
 tests/Doctrine/Tests/Inflector/InflectorFunctionalTest.php        | 8 ++++----
 tests/Doctrine/Tests/Inflector/InflectorTest.php                  | 2 +-
 .../Tests/Inflector/Rules/English/EnglishFunctionalTest.php       | 8 ++++----
 .../Tests/Inflector/Rules/French/FrenchFunctionalTest.php         | 4 ++--
 tests/Doctrine/Tests/Inflector/Rules/LanguageFunctionalTest.php   | 4 ++--
 .../Rules/NorwegianBokmal/NorwegianBokmalFunctionalTest.php       | 4 ++--
 .../Tests/Inflector/Rules/Portuguese/PortugueseFunctionalTest.php | 4 ++--
 .../Tests/Inflector/Rules/Spanish/SpanishFunctionalTest.php       | 4 ++--
 .../Tests/Inflector/Rules/Turkish/TurkishFunctionalTest.php       | 4 ++--
 9 files changed, 21 insertions(+), 21 deletions(-)

diff --git a/tests/Doctrine/Tests/Inflector/InflectorFunctionalTest.php b/tests/Doctrine/Tests/Inflector/InflectorFunctionalTest.php
index 2b3c0ce..033d28d 100644
--- a/tests/Doctrine/Tests/Inflector/InflectorFunctionalTest.php
+++ b/tests/Doctrine/Tests/Inflector/InflectorFunctionalTest.php
@@ -37,7 +37,7 @@ class InflectorFunctionalTest extends TestCase
      *
      * @return string[][]
      */
-    public function dataStringsTableize(): array
+    public static function dataStringsTableize(): array
     {
         // In the format array('expected', 'word')
         return [
@@ -58,7 +58,7 @@ class InflectorFunctionalTest extends TestCase
      *
      * @return string[][]
      */
-    public function dataStringsClassify(): array
+    public static function dataStringsClassify(): array
     {
         // In the format array('expected', 'word')
         return [
@@ -82,7 +82,7 @@ class InflectorFunctionalTest extends TestCase
      *
      * @return string[][]
      */
-    public function dataStringsCamelize(): array
+    public static function dataStringsCamelize(): array
     {
         // In the format array('expected', 'word')
         return [
@@ -94,7 +94,7 @@ class InflectorFunctionalTest extends TestCase
         ];
     }
 
-    private function createInflector(): Inflector
+    private static function createInflector(): Inflector
     {
         return InflectorFactory::create()->build();
     }
diff --git a/tests/Doctrine/Tests/Inflector/InflectorTest.php b/tests/Doctrine/Tests/Inflector/InflectorTest.php
index b01e62b..0360425 100644
--- a/tests/Doctrine/Tests/Inflector/InflectorTest.php
+++ b/tests/Doctrine/Tests/Inflector/InflectorTest.php
@@ -76,7 +76,7 @@ class InflectorTest extends TestCase
      *
      * @return string[][]
      */
-    public function dataStringsUrlize(): array
+    public static function dataStringsUrlize(): array
     {
         return [
             [
diff --git a/tests/Doctrine/Tests/Inflector/Rules/English/EnglishFunctionalTest.php b/tests/Doctrine/Tests/Inflector/Rules/English/EnglishFunctionalTest.php
index b74ecf4..49823ce 100644
--- a/tests/Doctrine/Tests/Inflector/Rules/English/EnglishFunctionalTest.php
+++ b/tests/Doctrine/Tests/Inflector/Rules/English/EnglishFunctionalTest.php
@@ -14,7 +14,7 @@ use function sprintf;
 class EnglishFunctionalTest extends LanguageFunctionalTest
 {
     /** @return string[][] */
-    public function dataSampleWords(): array
+    public static function dataSampleWords(): array
     {
         return [
             ['', ''],
@@ -379,7 +379,7 @@ class EnglishFunctionalTest extends LanguageFunctionalTest
      *
      * @return string[][]
      */
-    public function dataSingularsUninflectedWhenSingularized(): array
+    public static function dataSingularsUninflectedWhenSingularized(): array
     {
         // In the format array('singular', 'notEquals')
         return [
@@ -420,7 +420,7 @@ class EnglishFunctionalTest extends LanguageFunctionalTest
      *
      * @return string[][]
      */
-    public function dataPluralUninflectedWhenPluralized(): array
+    public static function dataPluralUninflectedWhenPluralized(): array
     {
         return [
             ['media'],
@@ -439,7 +439,7 @@ class EnglishFunctionalTest extends LanguageFunctionalTest
         );
     }
 
-    protected function createInflector(): Inflector
+    protected static function createInflector(): Inflector
     {
         return InflectorFactory::createForLanguage(Language::ENGLISH)->build();
     }
diff --git a/tests/Doctrine/Tests/Inflector/Rules/French/FrenchFunctionalTest.php b/tests/Doctrine/Tests/Inflector/Rules/French/FrenchFunctionalTest.php
index ece7174..5733c68 100644
--- a/tests/Doctrine/Tests/Inflector/Rules/French/FrenchFunctionalTest.php
+++ b/tests/Doctrine/Tests/Inflector/Rules/French/FrenchFunctionalTest.php
@@ -12,7 +12,7 @@ use Doctrine\Tests\Inflector\Rules\LanguageFunctionalTest;
 class FrenchFunctionalTest extends LanguageFunctionalTest
 {
     /** @return string[][] */
-    public function dataSampleWords(): array
+    public static function dataSampleWords(): array
     {
         return [
             ['ami', 'amis'],
@@ -58,7 +58,7 @@ class FrenchFunctionalTest extends LanguageFunctionalTest
         ];
     }
 
-    protected function createInflector(): Inflector
+    protected static function createInflector(): Inflector
     {
         return InflectorFactory::createForLanguage(Language::FRENCH)->build();
     }
diff --git a/tests/Doctrine/Tests/Inflector/Rules/LanguageFunctionalTest.php b/tests/Doctrine/Tests/Inflector/Rules/LanguageFunctionalTest.php
index f7542a8..4a99fdd 100644
--- a/tests/Doctrine/Tests/Inflector/Rules/LanguageFunctionalTest.php
+++ b/tests/Doctrine/Tests/Inflector/Rules/LanguageFunctionalTest.php
@@ -12,7 +12,7 @@ use function sprintf;
 abstract class LanguageFunctionalTest extends TestCase
 {
     /** @return string[][] */
-    abstract public function dataSampleWords(): array;
+    abstract static public function dataSampleWords(): array;
 
     /** @dataProvider dataSampleWords */
     public function testInflectingSingulars(string $singular, string $plural): void
@@ -34,5 +34,5 @@ abstract class LanguageFunctionalTest extends TestCase
         );
     }
 
-    abstract protected function createInflector(): Inflector;
+    abstract static protected function createInflector(): Inflector;
 }
diff --git a/tests/Doctrine/Tests/Inflector/Rules/NorwegianBokmal/NorwegianBokmalFunctionalTest.php b/tests/Doctrine/Tests/Inflector/Rules/NorwegianBokmal/NorwegianBokmalFunctionalTest.php
index 653fd57..712a6de 100644
--- a/tests/Doctrine/Tests/Inflector/Rules/NorwegianBokmal/NorwegianBokmalFunctionalTest.php
+++ b/tests/Doctrine/Tests/Inflector/Rules/NorwegianBokmal/NorwegianBokmalFunctionalTest.php
@@ -12,7 +12,7 @@ use Doctrine\Tests\Inflector\Rules\LanguageFunctionalTest;
 class NorwegianBokmalFunctionalTest extends LanguageFunctionalTest
 {
     /** @return string[][] */
-    public function dataSampleWords(): array
+    public static function dataSampleWords(): array
     {
         return [
             ['dag', 'dager'],
@@ -29,7 +29,7 @@ class NorwegianBokmalFunctionalTest extends LanguageFunctionalTest
         ];
     }
 
-    protected function createInflector(): Inflector
+    protected static function createInflector(): Inflector
     {
         return InflectorFactory::createForLanguage(Language::NORWEGIAN_BOKMAL)->build();
     }
diff --git a/tests/Doctrine/Tests/Inflector/Rules/Portuguese/PortugueseFunctionalTest.php b/tests/Doctrine/Tests/Inflector/Rules/Portuguese/PortugueseFunctionalTest.php
index 84f6ea4..fa101a5 100644
--- a/tests/Doctrine/Tests/Inflector/Rules/Portuguese/PortugueseFunctionalTest.php
+++ b/tests/Doctrine/Tests/Inflector/Rules/Portuguese/PortugueseFunctionalTest.php
@@ -12,7 +12,7 @@ use Doctrine\Tests\Inflector\Rules\LanguageFunctionalTest;
 class PortugueseFunctionalTest extends LanguageFunctionalTest
 {
     /** @return string[][] */
-    public function dataSampleWords(): array
+    public static function dataSampleWords(): array
     {
         return [
             ['livro', 'livros'],
@@ -45,7 +45,7 @@ class PortugueseFunctionalTest extends LanguageFunctionalTest
         ];
     }
 
-    protected function createInflector(): Inflector
+    protected static function createInflector(): Inflector
     {
         return InflectorFactory::createForLanguage(Language::PORTUGUESE)->build();
     }
diff --git a/tests/Doctrine/Tests/Inflector/Rules/Spanish/SpanishFunctionalTest.php b/tests/Doctrine/Tests/Inflector/Rules/Spanish/SpanishFunctionalTest.php
index a0acf2a..33d56bb 100644
--- a/tests/Doctrine/Tests/Inflector/Rules/Spanish/SpanishFunctionalTest.php
+++ b/tests/Doctrine/Tests/Inflector/Rules/Spanish/SpanishFunctionalTest.php
@@ -12,7 +12,7 @@ use Doctrine\Tests\Inflector\Rules\LanguageFunctionalTest;
 class SpanishFunctionalTest extends LanguageFunctionalTest
 {
     /** @return string[][] */
-    public function dataSampleWords(): array
+    public static function dataSampleWords(): array
     {
         return [
             ['libro', 'libros'],
@@ -54,7 +54,7 @@ class SpanishFunctionalTest extends LanguageFunctionalTest
         ];
     }
 
-    protected function createInflector(): Inflector
+    protected static function createInflector(): Inflector
     {
         return InflectorFactory::createForLanguage(Language::SPANISH)->build();
     }
diff --git a/tests/Doctrine/Tests/Inflector/Rules/Turkish/TurkishFunctionalTest.php b/tests/Doctrine/Tests/Inflector/Rules/Turkish/TurkishFunctionalTest.php
index 7548926..d2d0fcf 100644
--- a/tests/Doctrine/Tests/Inflector/Rules/Turkish/TurkishFunctionalTest.php
+++ b/tests/Doctrine/Tests/Inflector/Rules/Turkish/TurkishFunctionalTest.php
@@ -12,7 +12,7 @@ use Doctrine\Tests\Inflector\Rules\LanguageFunctionalTest;
 class TurkishFunctionalTest extends LanguageFunctionalTest
 {
     /** @return string[][] */
-    public function dataSampleWords(): array
+    public static function dataSampleWords(): array
     {
         return [
             ['gün', 'günler'],
@@ -27,7 +27,7 @@ class TurkishFunctionalTest extends LanguageFunctionalTest
         ];
     }
 
-    protected function createInflector(): Inflector
+    protected static function createInflector(): Inflector
     {
         return InflectorFactory::createForLanguage(Language::TURKISH)->build();
     }
